org.apache.felix.scrplugin.helper

## Class MetatypeContainer

- java.lang.Object
- - org.apache.felix.scrplugin.helper.MetatypeContainer

    public class MetatypeContainer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MetatypeContainer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()`
`String` `getFactoryPid()`
`String` `getId()`
`String` `getName()`
`List<MetatypeAttributeDefinition>` `getProperties()`
`void` `setDescription(String description)`
`void` `setFactoryPid(String pid)`
`void` `setId(String id)`
`void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetatypeContainer

    public MetatypeContainer()

### Method Detail

#### getId

    public String getId()

#### setId

    public void setId(String id)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getProperties

    public List<MetatypeAttributeDefinition> getProperties()

#### getFactoryPid

    public String getFactoryPid()

#### setFactoryPid

    public void setFactoryPid(String pid)